Embedded Tax API

Reports

Server-to-server partner endpoints under https://api.awaken.tax/api.

GET

/users/{referenceId}/reports

List a user's reports

StatusMeaning
200Available and in-progress reports
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/reports" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"
POST

/users/{referenceId}/reports

Generate a tax report

FieldTypeRequiredNotes
yearintegerYesmin 2020
reportTypestringYes
emailstringNoemail
Request body
{
"year": 2025,
"reportType": "tax-forms",
"email": "user@example.com"
}
StatusMeaning
201Report generation accepted
400Validation failed
curl
curl -X POST "https://api.awaken.tax/api/users/:referenceId/reports" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json" \
--data '{ "year": 2025, "reportType": "tax-forms", "email": "user@example.com" }'
GET

/users/{referenceId}/reports/{reportId}/download

Download a generated report

StatusMeaning
200Report file
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/reports/:reportId/download" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"
POST

/users/{referenceId}/reports/{reportId}/download

Download a report with a signed payload

StatusMeaning
200Report file
401Invalid or expired signature
curl
curl -X POST "https://api.awaken.tax/api/users/:referenceId/reports/:reportId/download" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"
POST

/reports/{reportId}/download

Retrieve report data through a signed download

StatusMeaning
200Base64 report data and filename
401Invalid or expired signature
404The resource was not found for the authenticated partner
curl
curl -X POST "https://api.awaken.tax/api/reports/:reportId/download" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"